[script]
n0=
n1=alias autoid {
n2=  if $dialog(autoid) = $null { dialog -ma autoid autoid }
n3=  else halt
n4=}
n5=dialog autoid {
n6=  title Auto Ident $str($chr(160),10) 
n7=  size -1 -1 260 320
n8=  icon icon.ico ,0
n9=  button OK,100,165 282 40 20,ok
n10=  button Cancel,200,210 282 40 20,cancel
n11=  box "",1,1 -5 258 315
n12=  text "Nick:",5,60 10 40 15 
n13=  text "Password:",6,160 10 50 15
n14=  check "",2,10 33 15 15  
n15=  edit %name1 ,3,30 30 95 20,center,autohs
n16=  edit %passw1 ,4,135 30 95 20,center
n17=  check "",7,10 53 15 15  
n18=  edit %name2 ,8,30 50 95 20,center,autohs
n19=  edit %passw2 ,9,135 50 95 20,center
n20=  check "",10,10 73 15 15  
n21=  edit %name3 ,11,30 70 95 20,center,autohs
n22=  edit %passw3 ,12,135 70 95 20,center
n23=  check "",13,10 93 15 15  
n24=  edit %name4 ,14,30 90 95 20,center,autohs
n25=  edit %passw4 ,15,135 90 95 20,center
n26=  check "",16,10 113 15 15  
n27=  edit %name5 ,17,30 110 95 20,center,autohs
n28=  edit %passw5 ,18,135 110 95 20,center
n29=  check "",19,10 133 15 15  
n30=  edit %name6 ,20,30 130 95 20,center,autohs
n31=  edit %passw6 ,21,135 130 95 20,center
n32=  check "",22,10 153 15 15  
n33=  edit %name7 ,23,30 150 95 20,center,autohs
n34=  edit %passw7 ,24,135 150 95 20,center
n35=  check "",25,10 173 15 15  
n36=  edit %name8 ,26,30 170 95 20,center,autohs
n37=  edit %passw8 ,27,135 170 95 20,center
n38=  check "",28,10 193 15 15  
n39=  edit %name9 ,29,30 190 95 20,center,autohs
n40=  edit %passw9 ,30,135 190 95 20,center
n41=  check "",31,10 213 15 15  
n42=  edit %name10 ,32,30 210 95 20,center,autohs
n43=  edit %passw10 ,33,135 210 95 20,center
n44=  text "Check to enable 'Auto Ident' for each nick'.If it's unchecked it won't do.",35,15 239 220 32 
n45=  button clr,36,233 32 20 16 
n46=  button clr,37,233 52 20 16
n47=  button clr,38,233 72 20 16
n48=  button clr,39,233 92 20 16
n49=  button clr,40,233 112 20 16
n50=  button clr,41,233 132 20 16
n51=  button clr,42,233 152 20 16
n52=  button clr,43,233 172 20 16
n53=  button clr,44,233 192 20 16
n54=  button clr,45,233 212 20 16
n55=  check "Auto-Ident on connect",46,10 284 140 17
n56=}
n57=on *:dialog:autoid:init:*: {
n58=  if %chk1 = ON { did -c autoid  2 }  
n59=  if %chk2 = ON { did -c autoid 7 }
n60=  if %chk3 = ON { did -c autoid 10 }
n61=  if %chk4 = ON { did -c autoid 13 }
n62=  if %chk5 = ON { did -c autoid 16 }
n63=  if %chk6 = ON { did -c autoid 19 }
n64=  if %chk7 = ON { did -c autoid 22 }
n65=  if %chk8 = ON { did -c autoid 25 }
n66=  if %chk9 = ON { did -c autoid 28 }
n67=  if %chk10 = ON { did -c autoid 31 }
n68=  if %autoidcon = ON { did -c autoid 46 }
n69=}
n70=on *:dialog:autoid:sclick:100: {
n71=  if ($did(autoid,2).state = 1) { %chk1 = on } | else { %chk1 = off }
n72=  if ($did(autoid,7).state = 1) { %chk2 = on } | else { %chk2 = off }
n73=  if ($did(autoid,10).state = 1) { %chk3 = on } | else { %chk3 = off }
n74=  if ($did(autoid,13).state = 1) { %chk4 = on } | else { %chk4 = off }
n75=  if ($did(autoid,16).state = 1) { %chk5 = on } | else { %chk5 = off }
n76=  if ($did(autoid,19).state = 1) { %chk6 = on } | else { %chk6 = off }
n77=  if ($did(autoid,22).state = 1) { %chk7 = on } | else { %chk7 = off }
n78=  if ($did(autoid,25).state = 1) { %chk8 = on } | else { %chk8 = off }
n79=  if ($did(autoid,28).state = 1) { %chk9 = on } | else { %chk9 = off }
n80=  if ($did(autoid,31).state = 1) { %chk10 = on } | else { %chk10 = off }
n81=  if ($did(autoid,46).state = 1) { %autoidcon = on } | else { %autoidcon = off }  
n82=  %name1 = $did(3) | %name2 = $did(8) | %name3 = $did(11) | %name4 = $did(14) | %name5 = $did(17) | %name6 = $did(20) | %name7 = $did(23) | %name8 = $did(26) | %name9 = $did(29) | %name10 = $did(32)
n83=  %passw1 = $did(4) | %passw2 = $did(9) | %passw3 = $did(12) | %passw4 = $did(15) | %passw5 = $did(18) | %passw6 = $did(21) | %passw7 = $did(24) | %passw8 = $did(27) | %passw9 = $did(30) | %passw10 = $did(33) 
n84=} 
n85=on *:dialog:autoid:sclick:*: {
n86=  if $did = 36 { did -ru autoid 3,4,2 }
n87=  if $did = 37 { did -ru autoid 7,8,9 }
n88=  if $did = 38 { did -ru autoid 10,11,12 }
n89=  if $did = 39 { did -ru autoid 13,14,15 }
n90=  if $did = 40 { did -ru autoid 16,17,18 }
n91=  if $did = 41 { did -ru autoid 19,20,21 }
n92=  if $did = 42 { did -ru autoid 22,23,24 }
n93=  if $did = 43 { did -ru autoid 25,26,27 }
n94=  if $did = 44 { did -ru autoid 28,29,30 }
n95=  if $did = 45 { did -ru autoid 31,32,33 }
n96=}
n97=on *:NICK: {
n98=  if $nick == $me {
n99=    if ($newnick == %name1) && (%chk1 == on) { identify %passw1 }
n100=    if ($newnick == %name2) && (%chk2 == on) { identify %passw2 }
n101=    if ($newnick == %name3) && (%chk3 == on) { identify %passw3 }
n102=    if ($newnick == %name4) && (%chk4 == on) { identify %passw4 }
n103=    if ($newnick == %name5) && (%chk5 == on) { identify %passw5 }
n104=    if ($newnick == %name6) && (%chk6 == on) { identify %passw6 }
n105=    if ($newnick == %name7) && (%chk7 == on) { identify %passw7 }
n106=    if ($newnick == %name8) && (%chk8 == on) { identify %passw8 }
n107=    if ($newnick == %name9) && (%chk9 == on) { identify %passw9 }
n108=    if ($newnick == %name10) && (%chk10 == on) { identify %passw10 }
n109=  }
n110=}
n111=on *:connect: {
n112=  if (%autoidcon = on) {
n113=    if ($me = %name1) { identify %passw1 }
n114=    if ($me = %name2) { identify %passw2 }
n115=    if ($me = %name3) { identify %passw3 }
n116=    if ($me = %name4) { identify %passw4 }
n117=    if ($me = %name5) { identify %passw5 }
n118=    if ($me = %name6) { identify %passw6 }
n119=    if ($me = %name7) { identify %passw7 }
n120=    if ($me = %name8) { identify %passw8 }
n121=    if ($me = %name9) { identify %passw9 }
n122=    if ($me = %name10) { identify %passw10 }
n123=  }
n124=}
n125=menu status,menubar {
n126=  -
n127=  -=Auto-Identify=-:/autoid
n128=  -
n129=}
[lpopup]
n0=Wer ist das:/uwho $1
n1=Whois:/whois $$1
n2=-
n3=.Status
n4=..Channel
n5=..* Founder Status
n6=...+*FO:/mode #$chan +q $$1
n7=...-*FO:/mode #$chan -q $$1
n8=.@ OP Status
n9=...+OP:/mode # +ooo $$1 $2 $3
n10=...- OP:/mode # -ooo $$1 $2 $3
n11=.% HOP Status
n12=...+HOP:/mode # +hhh $$1 $2 $3
n13=...- HOP:/mode # -hhh $$1 $2 $3
n14=.+ Voice Status
n15=...+Voice:/mode # +vvv $$1 $2 $3
n16=...- Voice:/mode # -vvv $$1 $2 $3
n17=-
n18=.Kick/Ban
n19=..Kick:/kick # $$1
n20=..Kick (Grund):/kick # $$1 $$?="Grund des kicks:"
n21=..Ban:/ban $$1 2
n22=..Ban, Kick:/ban $$1 2 |  /kick # $$1
n23=..Ban, Kick (Grund):/ban $$1 2 |  /kick # $$1 $$?="Grund des kicks:"
n24=-
n25=Ignorieren
n26=.+ Ein Query:/ignore $$1 3 | /notice $$1 hat Dich in die Ignore-Liste aufgenommen!
n27=.- Aus Query:/ignore -r $$1 3 | /echo 4 $$1 wurde aus der Ignore-Liste entfernt
n28=.+ Ein Channel:/ignore $$1 3 | /msg $chan 4 $$1 wurde in die Ignore-Liste aufgenommen!
n29=.- Aus Channel:/ignore -r $$1 3 | /msg $chan 4 $$1 wurde aus der Ignore-Liste entfernt
n30=.-
